Name:		perl-TeX-Encode
Version:	2.004
Release:	4%{?dist}
Summary:	Encoding to LaTeX escapes
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/TeX-Encode
Source0:	https://cpan.metacpan.org/authors/id/A/AT/ATHREEF/TeX-Encode-%{version}.tar.gz
Group:		Development/Libraries
BuildArch:	noarch
BuildRequires:	coreutils, findutils, make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Carp), perl(Encode), perl(strict), perl(vars)
BuildRequires:	perl(CPAN::Meta::Requirements) >= 2.120620
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(Module::Metadata)
BuildRequires:	perl(Pod::LaTeX) >= 0.56
BuildRequires:	perl(HTML::Entities) >= 1.27
BuildRequires:	perl(HTML::Parser) >= 3.35
BuildRequires:	perl(Test::More) >= 0.1
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Encode::Encoding) >= 0.1
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides encoding to LaTeX escapes from utf8 using mapping tables
in Pod::LaTeX and HTML::Entities. This covers only a subset of the Unicode 
character table (undefined warnings will occur for non-mapped chars).

Mileage will vary when decoding (converting LaTeX to utf8), as LaTeX is in
essence a programming language, and this module does not implement LaTeX.

%prep
%setup -q -n TeX-Encode-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc CHANGES README
%license LICENSE
%{perl_vendorlib}/TeX/
%{_mandir}/man3/*.3pm*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.004-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 2.004-3
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 04 2018 Jitka Plesnikova <jplesnik@redhat.com> - 2.004-1
- 2.004 bump

* Tue Oct 10 2017 Jitka Plesnikova <jplesnik@redhat.com> - 2.003-1
- update to 2.003

* Tue Sep 12 2017 Tom Callaway <spot@fedoraproject.org> - 2.002-1
- update to 2.002

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.001-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 2.001-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Nov 21 2016 Tom Callaway <spot@fedoraproject.org> - 2.001-1
- update to 2.001

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.3-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 15 2015 Tom Callaway <spot@fedoraproject.org> - 1.3-2
- minor specfile cleanups

* Mon Sep 14 2015 Tom Callaway <spot@fedoraproject.org> - 1.3-1
- initial package
